diff -uNr motif-2.3.4/Makefile.in motif-2.3.4.fink/Makefile.in
--- motif-2.3.4/Makefile.in	2012-10-26 22:13:18.000000000 -0400
+++ motif-2.3.4.fink/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -316,8 +316,7 @@
              include \
              tools \
              clients \
-             doc \
-             demos
+             doc
 
 AUTOMAKE_OPTIONS = 1.4
 ACLOCAL_AMFLAGS = -I .
diff -uNr motif-2.3.4/clients/mwm/Makefile.in motif-2.3.4.fink/clients/mwm/Makefile.in
--- motif-2.3.4/clients/mwm/Makefile.in	2012-10-26 22:13:10.000000000 -0400
+++ motif-2.3.4.fink/clients/mwm/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -93,10 +93,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -345,7 +345,7 @@
            -DBITMAPDIR=\"@INCDIR@/bitmaps\" \
            -DMWMRCDIR=\"$(MWMRCDIR)\" \
            -I$(top_builddir)/lib \
-           -I$(srcdir)/../../lib ${X_CFLAGS}
+           -I$(srcdir)/../../lib ${CFLAGS} ${X_CFLAGS}
 
 SRCS1 = WmCDInfo.c	WmCDecor.c	WmCEvent.c\
 	WmCPlace.c	WmColormap.c	WmError.c\
@@ -481,7 +481,7 @@
 	rm -f $$list
 mwm$(EXEEXT): $(mwm_OBJECTS) $(mwm_DEPENDENCIES) $(EXTRA_mwm_DEPENDENCIES) 
 	@rm -f mwm$(EXEEXT)
-	$(LINK) $(mwm_OBJECTS) $(mwm_LDADD) $(LIBS)
+	$(LINK) $(mwm_OBJECTS) $(LIBS) $(mwm_LDADD)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
diff -uNr motif-2.3.4/clients/mwm/WmMenu.c motif-2.3.4.fink/clients/mwm/WmMenu.c
--- motif-2.3.4/clients/mwm/WmMenu.c	2012-10-22 10:50:39.000000000 -0400
+++ motif-2.3.4.fink/clients/mwm/WmMenu.c	2012-10-26 22:14:20.000000000 -0400
@@ -848,8 +848,8 @@
 static MenuItem *MakeClientCommandMenuItem (String label, String funcArgs)
 {
     return(MakeMenuItem(label, F_InvokeCommand, funcArgs,
-			(KeySym) NULL, (unsigned int)0,
-			(KeyCode) NULL, (String)NULL));
+			(KeySym)(uintptr_t) NULL, (unsigned int)0,
+			(KeyCode)(uintptr_t) NULL, (String)(uintptr_t)NULL));
 }
 
 
@@ -2203,7 +2203,7 @@
 	    if (newMenuSpec == (MenuSpec *) NULL)
 	    {
 		newMenuSpec = MakeMenuSpec(funcarg_buf,
-					   tree == NULL ? (CARD32)NULL
+					   tree == NULL ? (CARD32)(uintptr_t)NULL
 					                : tree->commandID);
 		if (duplicate_globals) newMenuSpec->clientLocal = TRUE;
 		else 		       newMenuSpec->clientLocal = FALSE;
diff -uNr motif-2.3.4/clients/mwm/WmResParse.c motif-2.3.4.fink/clients/mwm/WmResParse.c
--- motif-2.3.4/clients/mwm/WmResParse.c	2012-10-22 10:50:39.000000000 -0400
+++ motif-2.3.4.fink/clients/mwm/WmResParse.c	2012-10-26 22:14:20.000000000 -0400
@@ -177,7 +177,7 @@
     {"mod3",	Mod3Mask},
     {"mod4",	Mod4Mask},
     {"mod5",	Mod5Mask},
-    {NULL,      (unsigned int)NULL},
+    {NULL,      (unsigned int)(uintptr_t)NULL},
 };
 
 #define ALT_INDEX 3
@@ -340,14 +340,14 @@
     {"btn5up",      ButtonRelease,  ParseImmed,    Button5,  FALSE},
     {"btn5click",   ButtonRelease,  ParseImmed,    Button5,  TRUE},
     {"btn5click2",  ButtonPress,    ParseImmed,    Button5,  TRUE},
-    { NULL, (unsigned int)NULL, (Boolean(*)())NULL, (unsigned int)NULL, (Boolean)NULL}
+    { NULL, (unsigned int)(uintptr_t)NULL, (Boolean(*)())NULL, (unsigned int)(uintptr_t)NULL, (Boolean)(uintptr_t)NULL}
 };
 
 
 static EventTableEntry keyEvents[] = {
 
     {"key",         KeyPress,    ParseKeySym,    0,  FALSE},
-    { NULL, (unsigned int)NULL, (Boolean(*)())NULL, (unsigned int)NULL, (Boolean)NULL}
+    { NULL, (unsigned int)(uintptr_t)NULL, (Boolean(*)())NULL, (unsigned int)(uintptr_t)NULL, (Boolean)(uintptr_t)NULL}
 };
 
 #ifdef PANELIST
diff -uNr motif-2.3.4/clients/uil/Makefile.in motif-2.3.4.fink/clients/uil/Makefile.in
--- motif-2.3.4/clients/uil/Makefile.in	2012-10-26 22:13:10.000000000 -0400
+++ motif-2.3.4.fink/clients/uil/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -138,10 +138,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -324,7 +324,7 @@
            -I$(srcdir)/../../tools/wml \
            -I../../include \
            -I../../lib \
-           -I../../tools/wml ${X_CFLAGS}
+           -I../../tools/wml ${CFLAGS} ${X_CFLAGS}
 
 BUILT_SOURCES = UilParser.c UilLexPars.c UilDBDef.h
 CLEANFILES = UilParser.c UilLexPars.c UilDBDef.h
diff -uNr motif-2.3.4/clients/xmbind/Makefile.in motif-2.3.4.fink/clients/xmbind/Makefile.in
--- motif-2.3.4/clients/xmbind/Makefile.in	2012-10-26 22:13:10.000000000 -0400
+++ motif-2.3.4.fink/clients/xmbind/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -79,10 +79,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -254,7 +254,7 @@
 top_srcdir = @top_srcdir@
 MAINTAINERCLEANFILES = Makefile.in
 LDADD = ../../lib/Xm/libXm.la
-INCLUDES = -I$(srcdir)/../../lib -I$(top_builddir)/lib ${X_CFLAGS}
+INCLUDES = -I$(srcdir)/../../lib -I$(top_builddir)/lib ${CFLAGS} ${X_CFLAGS}
 all: all-am
 
 .SUFFIXES:
diff -uNr motif-2.3.4/config/util/Makefile.in motif-2.3.4.fink/config/util/Makefile.in
--- motif-2.3.4/config/util/Makefile.in	2012-10-26 22:13:10.000000000 -0400
+++ motif-2.3.4.fink/config/util/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -77,10 +77,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -258,7 +258,7 @@
 	     mkdirhier.man mkdirhier.sh mkshadow syminst.sh x11mf.sh \
 	     xmkmf.cpp xmkmf.man Makefile.ini
 
-INCLUDES = ${X_CFLAGS}
+INCLUDES = ${CFLAGS} ${X_CFLAGS}
 all: all-am
 
 .SUFFIXES:
diff -uNr motif-2.3.4/configure motif-2.3.4.fink/configure
--- motif-2.3.4/configure	2012-10-26 22:13:08.000000000 -0400
+++ motif-2.3.4.fink/configure	2012-10-26 22:21:42.000000000 -0400
@@ -13173,9 +13173,9 @@
   lt_save_CFLAGS="$CFLAGS"
 lt_save_CPPFLAGS="$CPPFLAGS"
 lt_save_LIBS="$LIBS"
-LIBS="$X_LIBS -lXt $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $LIBS"
-CFLAGS="$X_CFLAGS $CFLAGS"
-CPPFLAGS="$X_CFLAGS $CPPFLAGS"
+LIBS="$LIBS $X_LIBS -lXt $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"
+CFLAGS="$CFLAGS $X_CFLAGS"
+CPPFLAGS="$CPPFLAGS $X_CFLAGS"
 if test "$cross_compiling" = yes; then :
   lt_cv_xthreads=dunno
 else
@@ -13258,8 +13258,8 @@
 
 save_LIBS="$LIBS"
 save_CFLAGS="$CFLAGS"
-LIBS="$X_LIBS $LIBS"
-CFLAGS="$X_CFLAGS $CFLAGS"
+LIBS="$LIBS $X_LIBS"
+CFLAGS="$CFLAGS $X_CFLAGS"
 for ac_header in X11/Xmu/Editres.h
 do :
   ac_fn_c_check_header_compile "$LINENO" "X11/Xmu/Editres.h" "ac_cv_header_X11_Xmu_Editres_h" "#include <X11/Intrinsic.h>
diff -uNr motif-2.3.4/lib/Mrm/Makefile.in motif-2.3.4.fink/lib/Mrm/Makefile.in
--- motif-2.3.4/lib/Mrm/Makefile.in	2012-10-26 22:13:17.000000000 -0400
+++ motif-2.3.4.fink/lib/Mrm/Makefile.in	2012-10-26 22:23:30.000000000 -0400
@@ -118,10 +118,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -295,7 +295,7 @@
 MAINTAINERCLEANFILES = Makefile.in
 CLEANFILES = $(BUILT_SOURCES)
 EXTRA_DIST = Mrm.msg Imakefile
-INCLUDES = -I$(srcdir)/.. -I.. -I../Xm ${X_CFLAGS}
+INCLUDES = -I$(srcdir)/.. -I.. -I../Xm ${CFLAGS} ${X_CFLAGS}
 mrmdir = $(includedir)/Mrm
 libMrm_la_LIBADD = ../Xm/libXm.la ${X_LIBS} -lXt ${X_PRE_LIBS} -lX11 ${X_EXTRA_LIBS}
 libMrm_la_LDFLAGS = -version-info @CURRENT@:@REVISION@:@AGE@
@@ -381,7 +381,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libMrm.la: $(libMrm_la_OBJECTS) $(libMrm_la_DEPENDENCIES) $(EXTRA_libMrm_la_DEPENDENCIES) 
-	$(libMrm_la_LINK) -rpath $(libdir) $(libMrm_la_OBJECTS) $(libMrm_la_LIBADD) $(LIBS)
+	$(libMrm_la_LINK) -rpath $(libdir) $(libMrm_la_OBJECTS) $(LIBS) $(libMrm_la_LIBADD)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
diff -uNr motif-2.3.4/lib/Xm/BaseClass.c motif-2.3.4.fink/lib/Xm/BaseClass.c
--- motif-2.3.4/lib/Xm/BaseClass.c	2012-10-22 10:50:37.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/BaseClass.c	2012-10-26 22:14:20.000000000 -0400
@@ -564,7 +564,7 @@
   static ExtToContextRec extToContextMap[16];
   Cardinal		 i;
   ExtToContext		 curr;
-  XContext		 context = (XContext) NULL;
+  XContext		 context = (XContext)(uintptr_t) NULL;
   
   _XmProcessLock();
   for (i = 0, curr = &extToContextMap[0];
diff -uNr motif-2.3.4/lib/Xm/DataF.c motif-2.3.4.fink/lib/Xm/DataF.c
--- motif-2.3.4/lib/Xm/DataF.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/DataF.c	2012-10-26 22:14:20.000000000 -0400
@@ -9218,7 +9218,7 @@
       /* CR03685 */
       SGI_hack_XmImRegister((Widget)tf);
 #else
-      XmImRegister((Widget)tf, (unsigned int) NULL);
+      XmImRegister((Widget)tf, (unsigned int)(uintptr_t) NULL);
 #endif
       df_GetXYFromPos(tf, XmTextF_cursor_position(tf), &xmim_point.x, &xmim_point.y);
       n = 0;
@@ -10728,7 +10728,7 @@
            diff_values = True;
            if (XmTextF_wc_value(new_tf) == NULL) {
               XmTextF_wc_value(new_tf) = (wchar_t*) XtMalloc(sizeof(wchar_t));
-              *XmTextF_wc_value(new_tf) = (wchar_t)NULL;
+              *XmTextF_wc_value(new_tf) = (wchar_t)(uintptr_t)NULL;
            }
            df_ValidateString(new_tf, (char*)XmTextF_wc_value(new_tf), True);
         } else if (XmTextF_value(new_tf) != XmTextF_value(old_tf)) {
@@ -11874,7 +11874,7 @@
        /* CR03685 */
        SGI_hack_XmImRegister((Widget)tf);
 #else
-       XmImRegister((Widget)tf, (unsigned int) NULL);
+       XmImRegister((Widget)tf, (unsigned int)(uintptr_t) NULL);
 #endif
        df_GetXYFromPos(tf, XmTextF_cursor_position(tf), &xmim_point.x, 
 		       &xmim_point.y);
diff -uNr motif-2.3.4/lib/Xm/DragBS.c motif-2.3.4.fink/lib/Xm/DragBS.c
--- motif-2.3.4/lib/Xm/DragBS.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/DragBS.c	2012-10-26 22:14:20.000000000 -0400
@@ -204,9 +204,9 @@
 static unsigned long	firstProtectRequest;
 static Window		errorWindow;
 
-static XContext 	displayToMotifWindowContext = (XContext) NULL;
-static XContext 	displayToTargetsContext = (XContext) NULL;
-static XContext		displayToAtomsContext = (XContext) NULL;
+static XContext 	displayToMotifWindowContext = (XContext)(uintptr_t) NULL;
+static XContext 	displayToTargetsContext = (XContext)(uintptr_t) NULL;
+static XContext		displayToAtomsContext = (XContext)(uintptr_t) NULL;
 
 
 /*****************************************************************************
@@ -291,7 +291,7 @@
     XContext	loc_context;
 
     _XmProcessLock();
-    if (displayToMotifWindowContext == (XContext) NULL) {
+    if (displayToMotifWindowContext == (XContext)(uintptr_t) NULL) {
         displayToMotifWindowContext = XUniqueContext();
     }
     loc_context = displayToMotifWindowContext;
@@ -322,7 +322,7 @@
     XContext loc_context;
 
     _XmProcessLock();
-    if (displayToMotifWindowContext == (XContext) NULL) {
+    if (displayToMotifWindowContext == (XContext)(uintptr_t) NULL) {
         displayToMotifWindowContext = XUniqueContext();
     }
     loc_context = displayToMotifWindowContext;
@@ -365,7 +365,7 @@
     XContext		loc_context;
 
     _XmProcessLock();
-    if (displayToTargetsContext == (XContext) NULL) {
+    if (displayToTargetsContext == (XContext)(uintptr_t) NULL) {
         displayToTargetsContext = XUniqueContext();
     }
     loc_context = displayToTargetsContext;
@@ -396,7 +396,7 @@
     XContext	loc_context;
 
     _XmProcessLock();
-    if (displayToTargetsContext == (XContext) NULL) {
+    if (displayToTargetsContext == (XContext)(uintptr_t) NULL) {
         displayToTargetsContext = XUniqueContext();
     }
     loc_context = displayToTargetsContext;
@@ -451,7 +451,7 @@
     XContext		loc_context;
 
     _XmProcessLock();
-    if (displayToAtomsContext == (XContext) NULL) {
+    if (displayToAtomsContext == (XContext)(uintptr_t) NULL) {
 	displayToAtomsContext = XUniqueContext();
     }
     loc_context = displayToAtomsContext;
@@ -482,7 +482,7 @@
     XContext loc_context;
 
     _XmProcessLock();
-    if (displayToAtomsContext == (XContext) NULL) {
+    if (displayToAtomsContext == (XContext)(uintptr_t) NULL) {
         displayToAtomsContext = XUniqueContext();
     }
     loc_context = displayToAtomsContext;
diff -uNr motif-2.3.4/lib/Xm/DragIcon.c motif-2.3.4.fink/lib/Xm/DragIcon.c
--- motif-2.3.4/lib/Xm/DragIcon.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/DragIcon.c	2012-10-26 22:14:20.000000000 -0400
@@ -747,7 +747,7 @@
 #undef Offset
 #define Offset(x) (XtOffsetOf( struct _XmDragIconRec, drag.x))
 
-static XContext _XmTextualDragIconContext = (XContext) NULL;
+static XContext _XmTextualDragIconContext = (XContext)(uintptr_t) NULL;
 
 static XtResource resources[]=
 {
@@ -1227,7 +1227,7 @@
    use_alt = dpy -> display.enable_drag_icon;
 
    _XmProcessLock();
-   if (_XmTextualDragIconContext == (XContext) NULL)
+   if (_XmTextualDragIconContext == (XContext)(uintptr_t) NULL)
       _XmTextualDragIconContext = XUniqueContext();
    loc_context = _XmTextualDragIconContext;
    _XmProcessUnlock();
diff -uNr motif-2.3.4/lib/Xm/FontS.c motif-2.3.4.fink/lib/Xm/FontS.c
--- motif-2.3.4/lib/Xm/FontS.c	2012-10-22 10:50:36.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/FontS.c	2012-10-26 22:14:20.000000000 -0400
@@ -2764,7 +2764,7 @@
 	XmStringFree(label);
 
 	XtAddCallback(button,
-		      XmNactivateCallback, ChangeEncoding, (XtPointer) i);
+		      XmNactivateCallback, ChangeEncoding, (XtPointer)(uintptr_t) i);
 
 	if (streq(*encodings, ENCODING_STRING(fsw)))
 	{
@@ -2926,7 +2926,7 @@
     fsw = (XmFontSelectorWidget) w;
     cf = XmFontS_font_info(fsw)->current_font;
 
-    if ((int) data == 0)
+    if ((int)(uintptr_t) data == 0)
 	{
 	XtFree(ENCODING_STRING(fsw));
 	ENCODING_STRING(fsw) = XtNewString(ANY_ENCODING);
@@ -2934,7 +2934,7 @@
     else
 	{
 	XtFree(ENCODING_STRING(fsw));
-	ENCODING_STRING(fsw) = XtNewString(ENCODING_LIST(fsw)[(int) data - 1]);
+	ENCODING_STRING(fsw) = XtNewString(ENCODING_LIST(fsw)[(int)(uintptr_t) data - 1]);
 	}
 
     UpdateFamilies(fsw);
@@ -3692,7 +3692,7 @@
 	    num_largs = 0;
 	    XtSetArg(largs[num_largs], XmNmenuHistory, button); num_largs++;
 	    XtSetValues(XmFontS_option_menu(set_fsw), largs, num_largs);
-	    ChangeEncoding((Widget) set_fsw, (XtPointer) current, NULL);
+	    ChangeEncoding((Widget) set_fsw, (XtPointer)(uintptr_t) current, NULL);
 	}
 	else
 	{
diff -uNr motif-2.3.4/lib/Xm/IconG.c motif-2.3.4.fink/lib/Xm/IconG.c
--- motif-2.3.4/lib/Xm/IconG.c	2012-10-22 10:50:35.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/IconG.c	2012-10-26 22:14:20.000000000 -0400
@@ -267,8 +267,8 @@
 
 /* those are created in ClassInitialize and filled by the
    IconConverter. */
-static XContext 	largeIconContext = (XContext) NULL;
-static XContext		smallIconContext = (XContext) NULL;
+static XContext 	largeIconContext = (XContext)(uintptr_t) NULL;
+static XContext		smallIconContext = (XContext)(uintptr_t) NULL;
 
 static XPointer dummy;
 #define OwnLargeMask(widget) \
diff -uNr motif-2.3.4/lib/Xm/Makefile.in motif-2.3.4.fink/lib/Xm/Makefile.in
--- motif-2.3.4/lib/Xm/Makefile.in	2012-10-26 22:13:17.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Makefile.in	2012-10-26 22:25:31.000000000 -0400
@@ -206,10 +206,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -408,7 +408,7 @@
 INCLUDES = -I.. -I$(srcdir)/.. -DXMBINDDIR_FALLBACK=\"@XMBINDDIR_FALLBACK@\" \
            -DINCDIR=\"@INCDIR@\" \
            -DLIBDIR=\"@LIBDIR@\" \
-           ${X_CFLAGS}
+           ${CFLAGS} ${X_CFLAGS}
 
 xmdir = $(includedir)/Xm
 libXm_la_LDFLAGS = -version-info @CURRENT@:@REVISION@:@AGE@
@@ -742,7 +742,7 @@
 	  rm -f "$${dir}/so_locations"; \
 	done
 libXm.la: $(libXm_la_OBJECTS) $(libXm_la_DEPENDENCIES) $(EXTRA_libXm_la_DEPENDENCIES) 
-	$(libXm_la_LINK) -rpath $(libdir) $(libXm_la_OBJECTS) $(libXm_la_LIBADD) $(LIBS)
+	$(libXm_la_LINK) -rpath $(libdir) $(libXm_la_OBJECTS) $(LIBS) $(libXm_la_LIBADD)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
diff -uNr motif-2.3.4/lib/Xm/Obso2_0.c motif-2.3.4.fink/lib/Xm/Obso2_0.c
--- motif-2.3.4/lib/Xm/Obso2_0.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Obso2_0.c	2012-10-26 22:14:20.000000000 -0400
@@ -1571,7 +1571,7 @@
   Stuff from Desktop.c
 **********************/
 
-static XContext	actualClassContext = (XContext) NULL;
+static XContext	actualClassContext = (XContext)(uintptr_t) NULL;
 
 
 /*ARGSUSED*/
@@ -1598,7 +1598,7 @@
 {
 	  WidgetClass		actualClass;
 
-	  if (actualClassContext == (XContext) NULL)
+	  if (actualClassContext == (XContext)(uintptr_t) NULL)
 	    actualClassContext = XUniqueContext();
 	  
 	  /*
@@ -1632,7 +1632,7 @@
     WidgetClass previous;
     WidgetClass oldActualClass;
 
-    if (actualClassContext == (XContext) NULL)
+    if (actualClassContext == (XContext)(uintptr_t) NULL)
       actualClassContext = XUniqueContext();
     
     /*
@@ -1679,7 +1679,7 @@
         Cardinal *num_args )
 {
     XmDesktopObject	worldObject;
-    static XContext	worldObjectContext = (XContext) NULL;
+    static XContext	worldObjectContext = (XContext)(uintptr_t) NULL;
     XmWidgetExtData     ext;
     Display		*display;
     
@@ -1688,7 +1688,7 @@
     ** the display is closed, so that we don't get bad data if a second 
     ** display with the same id is opened.
     */
-    if (worldObjectContext == (XContext) NULL)
+    if (worldObjectContext == (XContext)(uintptr_t) NULL)
       worldObjectContext = XUniqueContext();
 
     display = XtDisplayOfObject(shell);
diff -uNr motif-2.3.4/lib/Xm/Protocols.c motif-2.3.4.fink/lib/Xm/Protocols.c
--- motif-2.3.4/lib/Xm/Protocols.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Protocols.c	2012-10-26 22:14:20.000000000 -0400
@@ -123,7 +123,7 @@
  *
  ***************************************************************************/
 
-static XContext	allProtocolsMgrContext = (XContext) NULL;
+static XContext	allProtocolsMgrContext = (XContext)(uintptr_t) NULL;
 
 
 #define Offset(field) XtOffsetOf( struct _XmProtocolRec, protocol.field)
@@ -361,7 +361,7 @@
 	  display = XtDisplay(shell);
 	  
 	  _XmProcessLock();
-	  if (allProtocolsMgrContext == (XContext) NULL)
+	  if (allProtocolsMgrContext == (XContext)(uintptr_t) NULL)
 	    allProtocolsMgrContext = XUniqueContext();
 	  _XmProcessUnlock();
 	  
diff -uNr motif-2.3.4/lib/Xm/SlideC.c motif-2.3.4.fink/lib/Xm/SlideC.c
--- motif-2.3.4/lib/Xm/SlideC.c	2012-10-22 10:50:35.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/SlideC.c	2012-10-26 22:14:20.000000000 -0400
@@ -110,14 +110,14 @@
 /* notify that initialize called    XtArgsProc        */ NULL,
 /* NULL                             XtProc            */ NULL,
 /* NULL                             XtPointer         */ NULL,
-/* NULL                             Cardinal          */ (Cardinal)NULL,
+/* NULL                             Cardinal          */ (Cardinal)(uintptr_t)NULL,
 /* resources for subclass fields    XtResourceList    */ resources,
 /* number of entries in resources   Cardinal          */ XtNumber(resources),
 /* resource class quarkified        XrmClass          */ NULLQUARK,
-/* NULL                             Boolean           */ (Boolean)NULL,
-/* NULL                             XtEnum            */ (XtEnum)NULL,
-/* NULL				    Boolean           */ (Boolean)NULL,
-/* NULL                             Boolean           */ (Boolean)NULL,
+/* NULL                             Boolean           */ (Boolean)(uintptr_t)NULL,
+/* NULL                             XtEnum            */ (XtEnum)(uintptr_t)NULL,
+/* NULL				    Boolean           */ (Boolean)(uintptr_t)NULL,
+/* NULL                             Boolean           */ (Boolean)(uintptr_t)NULL,
 /* free data for subclass pointers  XtWidgetProc      */ destroy,
 /* NULL                             XtProc            */ NULL,
 /* NULL			            XtProc            */ NULL,
diff -uNr motif-2.3.4/lib/Xm/Synthetic.c motif-2.3.4.fink/lib/Xm/Synthetic.c
--- motif-2.3.4/lib/Xm/Synthetic.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Synthetic.c	2012-10-26 22:14:20.000000000 -0400
@@ -186,7 +186,7 @@
   
   for (i = 0; i < num_resources; i++)
     resources[i].resource_name = 
-      (String) XrmPermStringToQuark (resources[i].resource_name);
+      (String)(uintptr_t) XrmPermStringToQuark (resources[i].resource_name);
 }
 
 /**********************************************************************
@@ -230,7 +230,7 @@
       for (j = 0; j < num_resources; j++) 
 	{
 	  if ((resources[j].export_proc) &&
-	      (XrmQuark)(resources[j].resource_name) == quark) 
+	      (XrmQuark)(uintptr_t)(resources[j].resource_name) == quark) 
 	    {
 	      value_size = resources[j].resource_size;
 
@@ -505,7 +505,7 @@
       for (j = 0; j < num_resources; j++) 
 	{
 	  if ((resources[j].import_proc) &&
-	      (XrmQuark)(resources[j].resource_name) == quark) 
+	      (XrmQuark)(uintptr_t)(resources[j].resource_name) == quark) 
 	    {
 	      value = args[i].value;
 	      
diff -uNr motif-2.3.4/lib/Xm/Text.c motif-2.3.4.fink/lib/Xm/Text.c
--- motif-2.3.4/lib/Xm/Text.c	2012-10-22 10:50:38.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Text.c	2012-10-26 22:14:20.000000000 -0400
@@ -642,14 +642,14 @@
 static void 
 _XmCreateCutBuffers(Widget w)
 {
-  static XContext context = (XContext)NULL;
+  static XContext context = (XContext)(uintptr_t)NULL;
   char * tmp = NULL;
   Display *dpy = XtDisplay(w);
   Screen *screen = XtScreen(w);
   XContext local_context;
 
   _XmProcessLock();
-  if (context == (XContext)NULL) context = XUniqueContext();
+  if (context == (XContext)(uintptr_t)NULL) context = XUniqueContext();
 
   local_context = context;
   _XmProcessUnlock();
@@ -3027,7 +3027,7 @@
   if (!tw->text.editable && editable) {
     OutputData o_data = tw->text.output->data;
     
-    XmImRegister(widget, (unsigned int) NULL);
+    XmImRegister(widget, (unsigned int)(uintptr_t) NULL);
     
     (*tw->text.output->PosToXY)(tw, tw->text.cursor_position,
 				&xmim_point.x, &xmim_point.y);
diff -uNr motif-2.3.4/lib/Xm/TextF.c motif-2.3.4.fink/lib/Xm/TextF.c
--- motif-2.3.4/lib/Xm/TextF.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/TextF.c	2012-10-26 22:14:20.000000000 -0400
@@ -7361,7 +7361,7 @@
   XmTextFieldSetEditable((Widget)tf, TextF_Editable(tf));
   
   if (TextF_Editable(tf)) {
-    XmImRegister((Widget)tf, (unsigned int) NULL);
+    XmImRegister((Widget)tf, (unsigned int)(uintptr_t) NULL);
     GetXYFromPos(tf, TextF_CursorPosition(tf), &xmim_point.x, &xmim_point.y);
     (void)TextFieldGetDisplayRect((Widget)tf, &xmim_area);
     n = 0;
@@ -8233,7 +8233,7 @@
       diff_values = True;
       if (TextF_WcValue(new_tf) == NULL) {
 	TextF_WcValue(new_tf) = (wchar_t*) XtMalloc(sizeof(wchar_t));
-	*TextF_WcValue(new_tf) = (wchar_t)NULL;
+	*TextF_WcValue(new_tf) = (wchar_t)(uintptr_t)NULL;
       }
       ValidateString(new_tf, (char*)TextF_WcValue(new_tf), True);
     } else if (TextF_Value(new_tf) != TextF_Value(old_tf)) {
@@ -10146,7 +10146,7 @@
    * give the IM the relevent values. */
   
   if (!TextF_Editable(tf) && editable) { 
-    XmImRegister((Widget)tf, (unsigned int) NULL);
+    XmImRegister((Widget)tf, (unsigned int)(uintptr_t) NULL);
     
     GetXYFromPos(tf, TextF_CursorPosition(tf), &xmim_point.x, 
 		 &xmim_point.y);
diff -uNr motif-2.3.4/lib/Xm/VendorS.c motif-2.3.4.fink/lib/Xm/VendorS.c
--- motif-2.3.4/lib/Xm/VendorS.c	2012-10-22 10:50:37.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/VendorS.c	2012-10-26 22:14:20.000000000 -0400
@@ -1563,8 +1563,8 @@
         ttp->post_delay = 5000;
         ttp->post_duration = 5000;
         ttp->enable = False;
-        ttp->timer = (int) NULL;
-        ttp->duration_timer = (int) NULL;
+        ttp->timer = (int)(uintptr_t) NULL;
+        ttp->duration_timer = (int)(uintptr_t) NULL;
         ttp->leave_time = 0;
         ttp->slider = ttp->label = NULL;
  
diff -uNr motif-2.3.4/lib/Xm/XmIm.c motif-2.3.4.fink/lib/Xm/XmIm.c
--- motif-2.3.4/lib/Xm/XmIm.c	2012-10-22 10:50:38.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/XmIm.c	2012-10-26 22:14:20.000000000 -0400
@@ -2517,7 +2517,7 @@
   (void) add_ref(&xic_info->widget_refs, widget);
   
   /* Set the current XIC for this widget. */
-  if (xim_info->current_xics == (XContext) NULL)
+  if (xim_info->current_xics == (XContext)(uintptr_t) NULL)
     xim_info->current_xics = XUniqueContext();
   (void) XSaveContext(XtDisplay(widget), (XID) widget, 
 		      xim_info->current_xics, (XPointer) xic_info);
diff -uNr motif-2.3.4/lib/Xm/XmP.h motif-2.3.4.fink/lib/Xm/XmP.h
--- motif-2.3.4/lib/Xm/XmP.h	2012-10-22 10:50:35.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/XmP.h	2012-10-26 22:14:20.000000000 -0400
@@ -1442,12 +1442,15 @@
 
 #endif /* NO_XM_1_2_BC */
 
-#if __GNUC__
+#ifdef __GNUC__
 #  define XM_DEPRECATED  __attribute__((__deprecated__))
-#  define XM_ALIAS(sym)  __attribute__((__weak__,alias(#sym)))
+#  ifndef __APPLE__
+#    define XM_ALIAS(sym)  __attribute__((__weak__,alias(#sym)))
+#  else
+#    define XM_ALIAS(sym)
+#  endif
 #else
 #  define XM_DEPRECATED
-#  define XM_ALIAS(sym)
 #endif
 
 #define FIX_1381
diff -uNr motif-2.3.4/lib/Xm/XpmI.h motif-2.3.4.fink/lib/Xm/XpmI.h
--- motif-2.3.4/lib/Xm/XpmI.h	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/XpmI.h	2012-10-26 22:14:20.000000000 -0400
@@ -291,7 +291,7 @@
 FUNC(xpmHashIntern, int, (xpmHashTable *table, char *tag, void *data));
 
 #define HashAtomData(i) ((void *)i)
-#define HashColorIndex(slot) ((unsigned int)((*slot)->data))
+#define HashColorIndex(slot) ((unsigned int)(uintptr_t)((*slot)->data))
 #define USE_HASHTABLE (cpp > 2 && ncolors > 4)
 
 /* I/O utility */
diff -uNr motif-2.3.4/lib/Xm/Xpmparse.c motif-2.3.4.fink/lib/Xm/Xpmparse.c
--- motif-2.3.4/lib/Xm/Xpmparse.c	2012-10-22 10:50:34.000000000 -0400
+++ motif-2.3.4.fink/lib/Xm/Xpmparse.c	2012-10-26 22:14:20.000000000 -0400
@@ -387,7 +387,7 @@
 	     */
 	    if (USE_HASHTABLE) {
 		ErrorStatus =
-		    xpmHashIntern(hashtable, color->string, HashAtomData(a));
+		    xpmHashIntern(hashtable, color->string, HashAtomData((uintptr_t)a));
 		if (ErrorStatus != XpmSuccess) {
 		    xpmFreeColorTable(colorTable, ncolors);
 		    return (ErrorStatus);
@@ -475,7 +475,7 @@
 	     */
 	    if (USE_HASHTABLE) {
 		ErrorStatus =
-		    xpmHashIntern(hashtable, color->string, HashAtomData(a));
+		    xpmHashIntern(hashtable, color->string, HashAtomData((uintptr_t)a));
 		if (ErrorStatus != XpmSuccess) {
 		    xpmFreeColorTable(colorTable, ncolors);
 		    return (ErrorStatus);
diff -uNr motif-2.3.4/tools/wml/Makefile.in motif-2.3.4.fink/tools/wml/Makefile.in
--- motif-2.3.4/tools/wml/Makefile.in	2012-10-26 22:13:18.000000000 -0400
+++ motif-2.3.4.fink/tools/wml/Makefile.in	2012-10-26 22:14:20.000000000 -0400
@@ -76,7 +76,7 @@
 ARFLAGS = cru
 libwml_a_AR = $(AR) $(ARFLAGS)
 libwml_a_LIBADD =
-am_libwml_a_OBJECTS = wmlparse.$(OBJEXT) wml.$(OBJEXT) \
+am_libwml_a_OBJECTS = wmlparse.$(OBJEXT) \
 	wmloutkey.$(OBJEXT) wmlouth.$(OBJEXT) wmloutmm.$(OBJEXT) \
 	wmloutp1.$(OBJEXT) wmlresolve.$(OBJEXT) wmlsynbld.$(OBJEXT) \
 	wmlutils.$(OBJEXT)
@@ -95,10 +95,10 @@
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(CPPFLAGS) $(AM_CFLAGS)
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
@@ -329,7 +329,7 @@
 wml_LDADD = -L. -lwml
 wml_DEPENDENCIES = libwml.a
 wmldbcreate_LDADD = ../../lib/Xm/libXm.la
-INCLUDES = -I../../lib -I$(srcdir)/../../lib -I$(srcdir)/../../include ${X_CFLAGS} 
+INCLUDES = -I../../lib -I$(srcdir)/../../lib -I$(srcdir)/../../include ${CFLAGS} ${X_CFLAGS} 
 noinst_LIBRARIES = libwml.a
 libwml_a_SOURCES = wmlparse.y wml.c wmloutkey.c wmlouth.c wmloutmm.c wmloutp1.c wmlresolve.c wmlsynbld.c wmlutils.c
 all: all-am
@@ -435,18 +435,18 @@
 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
 
 wmldbcreate.o: $(srcdir)/wmldbcreate.c
-@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT wmldbcreate.o -MD -MP -MF $(DEPDIR)/wmldbcreate.Tpo -c -o wmldbcreate.o `test -f '$(srcdir)/wmldbcreate.c' || echo '$(srcdir)/'`$(srcdir)/wmldbcreate.c
+@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) -MT wmldbcreate.o -MD -MP -MF $(DEPDIR)/wmldbcreate.Tpo -c -o wmldbcreate.o `test -f '$(srcdir)/wmldbcreate.c' || echo '$(srcdir)/'`$(srcdir)/wmldbcreate.c
 @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/wmldbcreate.Tpo $(DEPDIR)/wmldbcreate.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$(srcdir)/wmldbcreate.c' object='wmldbcreate.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o wmldbcreate.o `test -f '$(srcdir)/wmldbcreate.c' || echo '$(srcdir)/'`$(srcdir)/wmldbcreate.c
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) -c -o wmldbcreate.o `test -f '$(srcdir)/wmldbcreate.c' || echo '$(srcdir)/'`$(srcdir)/wmldbcreate.c
 
 wmldbcreate.obj: $(srcdir)/wmldbcreate.c
-@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT wmldbcreate.obj -MD -MP -MF $(DEPDIR)/wmldbcreate.Tpo -c -o wmldbcreate.obj `if test -f '$(srcdir)/wmldbcreate.c'; then $(CYGPATH_W) '$(srcdir)/wmldbcreate.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/wmldbcreate.c'; fi`
+@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) -MT wmldbcreate.obj -MD -MP -MF $(DEPDIR)/wmldbcreate.Tpo -c -o wmldbcreate.obj `if test -f '$(srcdir)/wmldbcreate.c'; then $(CYGPATH_W) '$(srcdir)/wmldbcreate.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/wmldbcreate.c'; fi`
 @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/wmldbcreate.Tpo $(DEPDIR)/wmldbcreate.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$(srcdir)/wmldbcreate.c' object='wmldbcreate.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o wmldbcreate.obj `if test -f '$(srcdir)/wmldbcreate.c'; then $(CYGPATH_W) '$(srcdir)/wmldbcreate.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/wmldbcreate.c'; fi`
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) -c -o wmldbcreate.obj `if test -f '$(srcdir)/wmldbcreate.c'; then $(CYGPATH_W) '$(srcdir)/wmldbcreate.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/wmldbcreate.c'; fi`
 
 .l.c:
 	$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
--- motif-2.3.4/autogen.sh	2012-10-26 22:39:33.000000000 -0400
+++ motif-2.3.4.fink/autogen.sh	2012-10-26 22:12:56.000000000 -0400
@@ -20,5 +20,5 @@
 
 cd "$THEDIR"
 
-$srcdir/configure "$@"
+#$srcdir/configure "$@"
 
